
From: Dominik Brodowski <linux@dominikbrodowski.net>

Add pcmcia_device_id table.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/bluetooth/btuart_cs.c |   11 +++++++++++
 1 files changed, 11 insertions(+)

diff -puN drivers/bluetooth/btuart_cs.c~pcmcia-id_table-for-btuart_csc drivers/bluetooth/btuart_cs.c
--- 25/drivers/bluetooth/btuart_cs.c~pcmcia-id_table-for-btuart_csc	2005-02-28 15:49:08.000000000 -0800
+++ 25-akpm/drivers/bluetooth/btuart_cs.c	2005-02-28 15:49:08.000000000 -0800
@@ -855,6 +855,16 @@ static int btuart_event(event_t event, i
 	return 0;
 }
 
+static struct pcmcia_device_id btuart_ids[] = {
+	PCMCIA_DEVICE_MANF_CARD(0x0279, 0x950b),
+	PCMCIA_DEVICE_PROD_ID13("Xircom", "CBT", 0x2e3ee845, 0xdc958bf3),
+	PCMCIA_DEVICE_PROD_ID13("Xircom", "R2BT", 0x2e3ee845, 0xe8a24ebd),
+	PCMCIA_DEVICE_PROD_ID12("H-Soft", "Blue", 0x24a636e1, 0x1f40ba96),
+	PCMCIA_DEVICE_PROD_ID12("SPHINX", "BT-CARD", 0x98a8c842, 0x7c1f6f7f),
+	PCMCIA_DEVICE_NULL
+};
+MODULE_DEVICE_TABLE(pcmcia, btuart_ids);
+
 static struct pcmcia_driver btuart_driver = {
 	.owner		= THIS_MODULE,
 	.drv		= {
@@ -862,6 +872,7 @@ static struct pcmcia_driver btuart_drive
 	},
 	.attach		= btuart_attach,
 	.detach		= btuart_detach,
+	.id_table	= btuart_ids,
 };
 
 static int __init init_btuart_cs(void)
_
